Subject: Re: Is it possible to use cygwin32.dll using VC++
From: [email-masked] (Chris Faylor)

7 Sep 1997 23:40:11 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
    <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>,
 <[email-masked]> wrote:
>>I have tried to port some small UNIX utilities to Win NT.. and it will
>>be tedious if rewrite them in WIN32 API.. but my boss insisted that I
>>cannot use 'free' compiler like g++.. :(
>
>If your boss won't let you use a free compiler like g++, but will let
>you use a free library like cygwin32, then your boss is seriously
>confused.
>
>>So is it possible to use cygwin32.dll with VC++?
>
>In principle, sure: a DLL is a DLL.  In practice, try it and see what
>happens.

Actually, I'm pretty sure that this is not possible without some work.
There are some GNU Cisms in the library that will need to be coded around.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".